Bug 1142258 - Zypper DUP from 20190717 -> 20190718 kills Cinnamon; boots to crash-looping IceWM
Zypper DUP from 20190717 -> 20190718 kills Cinnamon; boots to crash-looping I...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Critical (vote)
: ---
Assigned To: Marguerite Su
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-20 12:05 UTC by T Adams
Modified: 2019-08-17 16:44 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
journalctl log before updating muffin (192.13 KB, text/x-log)
2019-07-21 13:25 UTC, Hadrien Grasland
Details
journalctl log after updating muffin (203.19 KB, text/plain)
2019-07-21 13:50 UTC, Hadrien Grasland
Details
Deduplicated diff of the journalctl logs, after user session start (20.34 KB, text/plain)
2019-07-21 13:52 UTC, Hadrien Grasland
Details
Deduplicated diff of the journalctl logs, after user session start (20.66 KB, text/plain)
2019-07-21 13:56 UTC, Hadrien Grasland
Details
~/.xsession-errors, before (cinnamon 3.8.9) (10.91 KB, text/plain)
2019-07-22 19:23 UTC, Hadrien Grasland
Details
~/.xsession-errors, after (cinnamon 4.2.1) (16.33 KB, text/plain)
2019-07-22 19:24 UTC, Hadrien Grasland
Details
~/.xsession-errors, after, different user account (15.09 KB, text/plain)
2019-07-23 07:01 UTC, Hadrien Grasland
Details

Note You need to log in before you can comment on or make changes to this bug.
Description T Adams 2019-07-20 12:05:39 UTC
On zypper dup this morning, I saw:

Problem: nothing provides cinnamon >= 4.0.0 needed by cinnamon-lang-4.2.0-1.1.noarch
 Solution 1: deinstallation of cinnamon-lang-3.8.2-1.4.noarch
 Solution 2: keep obsolete cinnamon-lang-3.8.2-1.4.noarch
 Solution 3: break cinnamon-lang-4.2.0-1.1.noarch by ignoring some of its dependencies

I picked '2' to keep the obsolete cinnamon-lang.

Zypper dup then wanted to do the following:

The following item is locked and will not be changed by any action:
 Installed:
  cinnamon-lang

The following 2 NEW packages are going to be installed:
  libx265-176 typelib-1_0-Muffin-0_0

The following package is going to be REMOVED:
  typelib-1_0-MetaMuffin-0_0

The following 79 packages are going to be upgraded:
  cinnamon-control-center cinnamon-control-center-common cinnamon-control-center-lang cinnamon-screensaver cinnamon-screensaver-lang cinnamon-session cinnamon-session-lang cinnamon-settings-daemon cinnamon-settings-daemon-lang cjs
  ffmpeg-4 libavcodec56 libavcodec57 libavcodec58 libavdevice57 libavdevice58 libavfilter6 libavfilter7 libavformat56 libavformat57 libavformat58 libavresample3 libavresample4 libavutil54 libavutil55 libavutil56
  libcinnamon-control-center1 libcinnamon-menu-3-0 libcjs0 libgstphotography-1_0-0 libharfbuzz0 libharfbuzz-icu0 libmuffin0 libnemo-extension1 libpng12-0 libpostproc53 libpostproc54 libpostproc55 libswresample1 libswresample2
  libswresample3 libswscale3 libswscale4 libswscale5 libtracker-common-2_0 libtracker-control-2_0-0 libtracker-miner-2_0-0 libtracker-sparql-2_0-0 libudisks2-0 libudisks2-0_btrfs libvlc5 libvlccore9 muffin muffin-lang nemo
  nemo-extension-fileroller nemo-extension-share nemo-extensions-lang nemo-lang openSUSE-Addon-NonOss-release openSUSE-release openSUSE-release-ftp python3-xapp tracker tracker-lang typelib-1_0-CjsPrivate-1_0 typelib-1_0-CMenu-3_0 udisks2
  udisks2-lang vlc vlc-codec-gstreamer vlc-codecs vlc-lang vlc-noX vlc-qt vlc-vdpau xclock xman xwininfo

After zypper dup and after logging in via the LightDM screen, I reached a crash-looping IceWM desktop.  

My enabled repositories:

#  | Alias                                | Name                                       | Enabled | GPG Check | Refresh
---+--------------------------------------+--------------------------------------------+---------+-----------+--------
 1 | download.opensuse.org-non-oss        | Main Repository (NON-OSS)                  | Yes     | (r ) Yes  | Yes    
 2 | download.opensuse.org-oss            | Main Repository (OSS)                      | Yes     | (r ) Yes  | Yes    
 3 | download.opensuse.org-tumbleweed     | Main Update Repository                     | Yes     | (r ) Yes  | Yes    
 5 | libdvdcss                            | libdvdcss                                  | Yes     | (r ) Yes  | Yes   
 7 | openSUSE_Tumbleweed                  | openSUSE_Tumbleweed                        | Yes     | (r ) Yes  | Yes    
 8 | packman.inode.at-openSUSE_Tumbleweed | Packman Repository                         | Yes     | (r ) Yes  | Yes   

* * *

Incidentally, it looks like this problem is related to an attempt to bring in Cinnamon version 4.  Thanks for the effort!  I trust the problem described in this bug will be resolved soon, and that we Cinnamon desktop users will be able to use the latest Cinnamon version.
Comment 1 Hadrien Grasland 2019-07-21 11:30:42 UTC
Same problem here. Currently trying to see if I can narrow it down to a specific cinnamon component, or find something interesting in the journalctl logs...

Also, thanks for the update! I've heard good things about perf improvements in cinnamon 4.x, and am eager to check out those once I get it to work ;)
Comment 2 Hadrien Grasland 2019-07-21 12:52:52 UTC
The crash is triggered by updating the muffin window compositor:

    libmuffin0            3.8.2-1.6 -> 4.2.1-1.1
    libmuffin0-debuginfo  3.8.2-1.6 -> 4.2.1-1.1
    muffin                3.8.2-1.6 -> 4.2.1-1.1
    muffin-debuginfo      3.8.2-1.6 -> 4.2.1-1.1
    muffin-debugsource    3.8.2-1.6 -> 4.2.1-1.1
    muffin-lang           3.8.2-1.6 -> 4.2.1-1.1

Every other update in this patch set seems to work correctly, at least from my quick testing.

Therefore, until this issue is resolved, cinnamon users may want to lock out this specific update with `[sudo] zypper al "*muffin*"`.

Additionally, they may also want to lock out the cinnamon-lang update in order not to see the aforementioned message on every upgrade. However, I think this message actually provides us with an interesting clue about what's happening.

Why isn't a 4.2.x version of the "cinnamon" package available? Could this mean that some updates to 4.2.x are missing, which in turn could explain why muffin blows up?
Comment 3 Hadrien Grasland 2019-07-21 13:25:32 UTC
Created attachment 811099 [details]
journalctl log before updating muffin
Comment 4 Hadrien Grasland 2019-07-21 13:50:33 UTC
Created attachment 811100 [details]
journalctl log after updating muffin
Comment 5 Hadrien Grasland 2019-07-21 13:52:33 UTC
Created attachment 811101 [details]
Deduplicated diff of the journalctl logs, after user session start
Comment 6 Hadrien Grasland 2019-07-21 13:53:54 UTC
I did not find any interesting difference between the journalctl logs before and after the muffin update.

Most notably, the "tracker" file indexer crashed in the latter case. But given its purpose, I would be more inclined to believe that tracker crashed because cinnamon crashed rather than the other way around.

I guess this leaves "why wasn't the cinnamon package updated too?" as the best track for further investigation.
Comment 7 Hadrien Grasland 2019-07-21 13:56:18 UTC
Created attachment 811102 [details]
Deduplicated diff of the journalctl logs, after user session start
Comment 8 Dead Mozay 2019-07-22 03:01:16 UTC
From which repository are updated?
Comment 9 Alynx Zhou 2019-07-22 03:22:18 UTC
Is this a cinnamon related issue? Please help us, or re-assign if I am incorrect. Thanks!
Comment 10 Marguerite Su 2019-07-22 04:32:08 UTC
@Alynx It is cinnamon related.

I fixed muffin, which failed since cinnamon 4.x update. because openSUSE Tumbleweed introduced another optional/debug build flag "-flto". It looks like the maintainers who sent those updates didn't know it failed. 

Currently cinnamon in Factory is still 3.8.9 but all its components are 4.2.1 now.

Because

https://build.opensuse.org/request/show/715360

was not accepted after 7 days.

So no log is useful if the updates are inconsistent.
Comment 11 Hadrien Grasland 2019-07-22 06:46:20 UTC
@Dead Mozay: The updates are from the main repository.

@Marguerite Su: Thanks for looking into this issue! I'll try to get the proper cinnamon version directly from X11:Cinnamon:Factory and see if it resolves the issue.

As an idea for the future, if updating muffin without updating cinnamon is a bad idea, then it would be nice if this metadata was somehow encoded in the RPMs so that zypper rejects the muffin update, as it does for cinnamon-lang.
Comment 12 Hadrien Grasland 2019-07-22 06:56:40 UTC
If I try to get a newer cinnamon from X11:Cinnamon:Factory, then zypper complains about the fact that nobody provides "typelib(Webkit)".

Funnily enough, I do have a "typelib-1_0-WebKit2-4_0" package around, which provides "typelib(Webkit2)". Not sure if these two are meant to be compatible or not, but I'll try to install the Webkit2 variant if something breaks ;)

By the way, kudos to whoever came up with the idea of snapper. Being able to try out system updates and revert them when they break is super-nice on a rolling release distribution.
Comment 13 Hadrien Grasland 2019-07-22 07:44:44 UTC
Back from experimenting!

After upgrading both cinnamon and muffin (forcing my way through the typelib(Webkit) dependency error for now) using the cinnamon version from X11:Cinnamon:Factory, cinnamon will now start upon logging in, as opposed to crashing into IceWM right away!

However, it does so in a half-working state state, where the menu applet does not show up in the panel anymore, and manually starting cinnamon-control-center gives me a blank window.

I cross-checked that installing "typelib-1_0-WebKit2-4_0" does not resolve those problems, just in case.

There is also an error about some applets and extensions failing to start (well, duh) and encouraging me to have a look at the LookingGlass logs. Following random internet advice, I thought those were in ~/.cinnamon/glass.log , but actually that advice was outdated. They are now in ~/.xsessions-errors .

So, I looked at the wrong file at experimenting time and need to start over. Will do so later on, I do not have the time to finish this for now.
Comment 14 Dead Mozay 2019-07-22 08:27:27 UTC
(In reply to Hadrien Grasland from comment #13)
> Back from experimenting!
> 
> After upgrading both cinnamon and muffin (forcing my way through the
> typelib(Webkit) dependency error for now) using the cinnamon version from
> X11:Cinnamon:Factory, cinnamon will now start upon logging in, as opposed to
> crashing into IceWM right away!
> 
> However, it does so in a half-working state state, where the menu applet
> does not show up in the panel anymore, and manually starting
> cinnamon-control-center gives me a blank window.
> 
> I cross-checked that installing "typelib-1_0-WebKit2-4_0" does not resolve
> those problems, just in case.
> 
> There is also an error about some applets and extensions failing to start
> (well, duh) and encouraging me to have a look at the LookingGlass logs.
> Following random internet advice, I thought those were in
> ~/.cinnamon/glass.log , but actually that advice was outdated. They are now
> in ~/.xsessions-errors .
> 
> So, I looked at the wrong file at experimenting time and need to start over.
> Will do so later on, I do not have the time to finish this for now.

requires a package typelib-1_0-WebKit-3_0, which was removed from the repositories
Comment 15 Hadrien Grasland 2019-07-22 08:44:53 UTC
@Dead Mozay: Then it may be the case that either 1/cinnamon must be ported to typelib(Webkit2) or 2/typelib-1_0-WebKit-3_0 must be brought back before this cinnamon upgrade can work.
Comment 16 Hadrien Grasland 2019-07-22 08:53:31 UTC
...but looking for "webkit" through the Cinnamon bugtracker, it sounds like the job should be done already, so perhaps it's just the OBS RPM spec that needs updating?

- The original issue https://github.com/linuxmint/cinnamon/issues/5605 was marked as fixed by https://github.com/linuxmint/cinnamon/pull/5616 .
- A successor https://github.com/linuxmint/cinnamon/issues/6626 was opened, then marked as fixed by https://github.com/linuxmint/cinnamon/pull/6627 .

The latest activity on this topic is from summer 2017, so it should definitely be included in cinnamon 4.x.
Comment 17 Dead Mozay 2019-07-22 08:54:43 UTC
(In reply to Hadrien Grasland from comment #15)
> @Dead Mozay: Then it may be the case that either 1/cinnamon must be ported
> to typelib(Webkit2) or 2/typelib-1_0-WebKit-3_0 must be brought back before
> this cinnamon upgrade can work.

Perhaps WebKit is no longer needed, need to try to remove it from the dependencies of all packages.
Comment 18 Hadrien Grasland 2019-07-22 19:23:40 UTC
Created attachment 811221 [details]
~/.xsession-errors, before (cinnamon 3.8.9)
Comment 19 Hadrien Grasland 2019-07-22 19:24:25 UTC
Created attachment 811222 [details]
~/.xsession-errors, after (cinnamon 4.2.1)
Comment 20 Hadrien Grasland 2019-07-22 19:36:32 UTC
When looking in the right place, the ~/.xsession-errors logs do contain a few interesting differences. Here's a quick walkthrough of those.

----

+Cjs-Message: 20:54:22.829: JS LOG: GSettings key not found. schema: org.cinnamon, key: panel-zone-icon-sizes
...
+Cjs-Message: 20:54:23.134: JS LOG: [LookingGlass/error] [Panel 1] Unable to find zone configuration
...
+Cjs-Message: 20:54:23.231: JS LOG: GSettings key not found. schema: org.cinnamon.theme, key: symbolic-relative-size

----

There's a bunch of messages which sound like cinnamon does not manage to load its configuration. Perhaps the configuration migration logic for 3.8.9 -> 4.2.1 is borked? If that is the case, then this could be easily resolved by throwing the old config away and letting cinnamon create a new one. I'll try with a new user account later on...

----

+Cjs-Message: 20:54:23.344: JS LOG: [LookingGlass/info] Upgrading settings for power@cinnamon.org
+Cjs-Message: 20:54:23.344: JS LOG: [LookingGlass/info] Settings successfully upgraded for power@cinnamon.org
...
+Cjs-Message: 20:54:23.504: JS LOG: [LookingGlass/info] Upgrading settings for window-list@cinnamon.org
+Cjs-Message: 20:54:23.505: JS LOG: [LookingGlass/info] Settings successfully upgraded for window-list@cinnamon.org

----

...at other times, though, cinnamon seems to be auto-updating its old configuration just fine. But then something happens:

----

+Cjs-Message: 20:54:23.675: JS LOG: [LookingGlass/info] Upgrading settings for menu@cinnamon.org
+Cjs-Message: 20:54:23.675: JS LOG: [LookingGlass/info] Settings successfully upgraded for menu@cinnamon.org
+Cjs-Message: 20:54:23.695: JS LOG: GSettings key not found. schema: org.cinnamon, key: app-menu-icon-name
+Cjs-Message: 20:54:23.695: JS LOG: [LookingGlass/warning] Could not load icon file "/usr/share/cinnamon/theme/menu-symbolic.svg" for menu button
+Cjs-Message: 20:54:23.695: JS LOG: GSettings key not found. schema: org.cinnamon, key: app-menu-icon-name
+Cjs-Message: 20:54:23.695: JS LOG: GSettings key not found. schema: org.cinnamon, key: app-menu-label
+Cjs-Message: 20:54:23.696: JS LOG: [LookingGlass/error] 
+[menu@cinnamon.org]: Argument 'text' (type utf8) may not be null
+[menu@cinnamon.org]: Failed to evaluate 'main' function on applet: menu@cinnamon.org/1
+Cjs-Message: 20:54:23.696: JS LOG: [LookingGlass/trace] 
 <----------------/Gio.js:71:26
+set_applet_label@/usr/share/cinnamon/js/ui/applet.js:879:9
+_updateIconAndLabel@/usr/share/cinnamon/applets/menu@cinnamon.org/applet.js:1235:17
+CinnamonMenuApplet@/usr/share/cinnamon/applets/menu@cinnamon.org/applet.js:926:9
+main@/usr/share/cinnamon/applets/menu@cinnamon.org/applet.js:2867:12
+createApplet@/usr/share/cinnamon/js/ui/appletManager.js:581:18
+addAppletToPanels@/usr/share/cinnamon/js/ui/appletManager.js:356:22
+finishExtensionLoad@/usr/share/cinnamon/js/ui/appletManager.js:95:14
+Extension.prototype._init/<@/usr/share/cinnamon/js/ui/extension.js:277:17
 ---------------->
...
+Cjs-Message: 20:54:23.696: JS LOG: [LookingGlass/error] 
+[menu@cinnamon.org]: Applet menu@cinnamon.org: Could not create applet object.
+[menu@cinnamon.org]: Error importing applet.js from menu@cinnamon.org
+Cjs-Message: 20:54:23.696: JS LOG: [LookingGlass/trace] 
+<----------------
+Extension.prototype._init/<@/usr/share/cinnamon/js/ui/extension.js:278:23
+---------------->

----

Here, it looks like cinnamon fails so hard at loading its own configuration that it ends up failing to read the menu applet's label. This leads it to pass a NULL to the menu applet's constructor, leading it to crash. Ergo, no menu.

TL;DR: So far, this sounds like a configuration migration problem. I'll try with a new user account next to see if it works properly there.

If so, then... well, we may need to tell cinnamon users to flush their configuration when upgrading. Thankfully, there is a built-in tool to do that: panel right click -> Troubleshooting -> Restore default parameters.
Comment 21 Hadrien Grasland 2019-07-23 07:01:50 UTC
Created attachment 811256 [details]
~/.xsession-errors, after, different user account
Comment 22 Hadrien Grasland 2019-07-23 07:04:02 UTC
So, I tried with a fresh user account, and everything that failed before still fails, though with different error messages. Seems that it's not just a configuration migration issue after all...

I'm out of ideas for now. If you need anything else, feel free to ask.
Comment 23 T Adams 2019-07-25 07:35:30 UTC
First, thanks to Hadrien Grasland, Marguerite Su and Dead Mozay for all efforts to fix this problem.  I'm much less knowledgeable than you folks, so am dependent on your expertise, and grateful for it.

I locked a bunch of Cinnamon-related packages to allow me to zypper dup from the 20190717 to the just-released 20190723 snapshot.  Cinnamon 3.8.9 still functions; everything seems to work.  I'll reprint the lock list below, in case it helps anyone, but emphasize that I did a lot of guessing, and would be surprised if I didn't lock some packages that don't need to be locked.  All I know is that my computer works and again can be kept up to date with zypper dup, although without Cinnamon 4.

Hadrien Grasland's last comment in this thread was two days ago.  May I gently ask if any progress has been made since then?  Is there light at the end of the tunnel, or is everyone mystified as to how to update from Cinnamon 3 to Cinnamon 4 in Tumbleweed?

The lock list:

#  | Name                                       | Type    | Repository
---+--------------------------------------------+---------+-----------
1  | cinnamon-control-center                    | package | (any)     
2  | cinnamon-control-center-common             | package | (any)     
3  | cinnamon-control-center-lang               | package | (any)     
4  | cinnamon-gschemas-branding-openSUSE        | package | (any)     
5  | cinnamon-lang*                             | package | (any)     
6  | cinnamon-lang-3.8.2-1.4.noarch             | package | (any)     
7  | cinnamon-screensaver                       | package | (any)     
8  | cinnamon-screensaver-lang                  | package | (any)     
9  | cinnamon-session                           | package | (any)     
10 | cinnamon-session-lang                      | package | (any)     
11 | cinnamon-settings-daemon                   | package | (any)     
12 | cinnamon-settings-daemon-lang              | package | (any)     
13 | cinnamon-theme-adapta                      | package | (any)     
14 | cjs                                        | package | (any)     
15 | gedit-theme-adapta                         | package | (any)     
16 | gtk2-metatheme-adapta                      | package | (any)     
17 | gtk3-metatheme-adapta                      | package | (any)     
18 | libcinnamon-control-center1                | package | (any)     
19 | libcinnamon-desktop-data                   | package | (any)     
20 | libcinnamon-desktop-data-branding-openSUSE | package | (any)     
21 | libcinnamon-desktop-lang                   | package | (any)     
22 | libcinnamon-desktop4                       | package | (any)     
23 | libcinnamon-menu-3-0                       | package | (any)     
24 | libcjs0                                    | package | (any)     
25 | libmuffin0                                 | package | (any)     
26 | libnemo-extension1                         | package | (any)     
27 | metatheme-adapta-common                    | package | (any)     
28 | muffin                                     | package | (any)     
29 | muffin-lang                                | package | (any)     
30 | nemo                                       | package | (any)     
31 | nemo-extension-fileroller                  | package | (any)     
32 | nemo-extension-share                       | package | (any)     
33 | nemo-extensions-lang                       | package | (any)     
34 | nemo-lang                                  | package | (any)     
35 | typelib-1_0-CMenu-3_0                      | package | (any)     
36 | typelib-1_0-CinnamonDesktop-3_0            | package | (any)     
37 | typelib-1_0-CjsPrivate-1_0                 | package | (any)
Comment 24 Marguerite Su 2019-07-26 04:16:08 UTC
please follow this SR: https://build.opensuse.org/request/show/718665

The typelib(Webkit) issue was identified in 3.8.9 by Alex.

It was caused by a wrongly formatted inline comment.

But later maintainer dropped the patch during 4.x update, maybe didn’t find out
what kinda issue it tried to resolve.

I think now cinnamon 4.2.2 can be accepted in TW.
Comment 25 Hadrien Grasland 2019-07-26 05:48:48 UTC
@Marguerite Su: Did you, per chance, locally reproduce the menu applet and control center failure that I observe? Or have any suggestion for me to investigate them further?
Comment 26 T Adams 2019-07-26 09:18:38 UTC
Thanks for the response, Marguerite!  But to be sure I understand correctly:

When I check in Yast now (Software Management --> Package Groups --> Other Desktops), I see that Cinnamon itself is available in version 3.8.9-3.4, but that other Cinnamon packages are available in different 4 series versions, up to 4.2.1-1.1.

Do you think I'll be safe to remove the locks and dup again when the available version reaches Cinnamon 4.2.2?  Or does the problem Hadrien mentioned still have to be resolved?
Comment 27 Marguerite Su 2019-07-26 10:53:50 UTC
@Harien

Not yet...the first priority was to resolve the inconsistency of cinnamon packages in Factory.

I was suddenly dragged into a lot of bug reports after I fixed muffin’s build, but frankly I didn’t install cinnamon for a long time since Alexei took the maintainance.

So I need time to actually install and identify the bugs we mentioned here during the weekend. On work days, I can just fix packages on a No-Gui openSUSE server :-(
Comment 28 Marguerite Su 2019-07-26 11:00:44 UTC
@Adam 

Cinnamon 4.2.2 has landed in Factory just now.

Personally I recommend normal users to wait a while since it looks like 
core maintainers (Dead Mozay, Alexei and tiny me) didn’t install 4.2.2 yet

Anyway finish packaging is a great step towards 4.2.x, but it will not guarantee
the stable status.
Comment 29 T Adams 2019-07-26 14:39:13 UTC
Thanks, Marguerite.  I'll wait for awhile.
Comment 30 Marguerite Su 2019-07-28 05:51:25 UTC
Hi,

This weekend I installed cinnamon on my own real desktop.

And I found two issues:

1. NetworkManager Wi-Fi connection can't start. After you type the password in the prompt dialog, the "connect" button is grey. You can click "cancel" only.

I guess it was caused by the removal of libnm/user-connections patches, but it wasn't true. they were removed just because upstream implemented them.

Need time to investigate.

2. https://bugzilla.opensuse.org/show_bug.cgi?id=1143130

cinnamon-settings can't start. because python3 wants to import "tinycss" which doesn't exist in openSUSE. we have python3-tinycss2. so the GTK+ CSS stylesheet editor may not work. I opened a bug and assigned to myself. I'll port cinnamon-settings to tinycss2.

3. I still don't have time to investigate the applets issue right now. Because those two bugs above prevent me from actually using cinnamon.
Comment 31 T Adams 2019-08-01 19:06:00 UTC
For whatever it's worth (probably not much): I was curious enough to add the X11_Cinnamon_Factory repo in a Cin-desktop Tumbleweed VM.  After zypper dup: Cinnamon version 4.2.2 completed boot for the first time ever, but (as Marguerite warned) without access to the settings menu, and without a panel icon for Network Manager.

An improvement, though!  Thanks again for your efforts on this, Marguerite.
Comment 32 Marguerite Su 2019-08-06 08:08:51 UTC
bug#1143130 is fixed.
Comment 33 Marguerite Su 2019-08-07 03:46:22 UTC
The NM issue was a false alarm. I input my root password which is too short so the "connect" button didn't show up. When I input the corrent password, the Wi-Fi connects.

@Hadrien

Can you please try the latest Cinnamon and see if your issue still presents?

I didn't meet it at all during a fresh Cinnamon 4.2.2 installation.

My wild guess is, the cjs engine was 4.2.0 well the cinnamon package itself was 3.8.9 so the JS rendering was problematic 

If your issue was resolved by version bumps, I'll close this bug report.
Comment 34 Hadrien Grasland 2019-08-08 14:17:35 UTC
@Marguerite: Many thanks for your work on this issue! Unfortunately, my current internet connectivity is not good enough for a Tumbleweed update, and as a result I won't be able to check this until the end of next week. I'll tell you how things turn out at that time.
Comment 35 T Adams 2019-08-09 12:59:31 UTC
I just duped to the 20190806 snapshot in the Cinnamon Tumbleweed VM with the X11_Cinnamon_Factory repository.  Good news: I can enter and make changes in System Settings, and now see a functioning NetworkManager icon in the panel.  Thanks again, Marguerite!
Comment 36 Hadrien Grasland 2019-08-17 16:44:46 UTC
With the latest packages from the Tumbleweed repo (I did not re-enable X11:Cinnamon:Factory since it seems everything was merged into the official repo), everything seems to be okay. The main menu is back and the settings app works. So I think we can close this. Many thanks for you work again!